---
title: "Get the Proxy Server Configuration at the Manager Level"
slug: "get-the-proxy-server-configuration-at-the-manager-level"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:36:53Z
published: 2026-09-23T09:36:53Z
canonical: "docs.trellix.com/get-the-proxy-server-configuration-at-the-manager-level"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get the Proxy Server Configuration at the Manager Level
This URL gets the proxy server configuration at the Manager level.
## Resource URL
GET /domain/proxyserver
## Request Parameters
URL Parameters: None
## Response Parameters
Following fields are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| useProxyserver | Use proxy server configuration | Boolean |
| proxyServerNameOrIPAddr | Proxy server name/IP configuration | String |
| proxyPort | Proxy port configuration | Number |
| userName | Username | String |
| password | Password | String |
## Example
**Request**
GET [https:///sdkapi/domain/proxyserver](https://%3CNSM_IP%3E/sdkapi/domain/0/proxyserver)
**Response**
```
{
"useProxyserver": false,
"proxyServerNameOrIPAddr": 1.1.1.1,
"proxyPort": 8443,
"userName": null,
"password": null
}
```
## Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 500 | 1001 | Internal error |